:root {
    --mn-gray-color: #626262;
    --mn-gray-dark-color: #313031;
    --mn-gray-light-color: #393839;
    --mn-orange-color: #fb6500;
    --mn-header-sidebar-size: 50px;
    --mn-sidebar-panel-size: 280px;
    --rz-grid-hover-color: var(--rz-grid-cell-color) !important;
    --rz-grid-hover-background-color: var(--rz-primary-lighter) !important;
    --rz-splitter-bar-background-color-active: var(--mn-orange-color) !important;
    --rz-scrollbar-color: var(--mn-orange-color) !important;
}

html, body {
    margin: 0;
    padding: 0;
    height: 100%;
}
body {
    min-height: 100vh;
    background: url("/images/background-logo.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
}
body .mn-login-container {
    background: url("/images/background-clean.png");
    background-repeat: no-repeat;
    background-position: center;
    background-size: 100% 100%;
}

.blazor-error-boundary {
    background: url(data:image/svg+xml;base64,PHN2ZyB3aWR0aD0iNTYiIGhlaWdodD0iNDkiIHhtbG5zPSJodHRwOi8vd3d3LnczLm9yZy8yMDAwL3N2ZyIgeG1sbnM6eGxpbms9Imh0dHA6Ly93d3cudzMub3JnLzE5OTkveGxpbmsiIG92ZXJmbG93PSJoaWRkZW4iPjxkZWZzPjxjbGlwUGF0aCBpZD0iY2xpcDAiPjxyZWN0IHg9IjIzNSIgeT0iNTEiIHdpZHRoPSI1NiIgaGVpZ2h0PSI0OSIvPjwvY2xpcFBhdGg+PC9kZWZzPjxnIGNsaXAtcGF0aD0idXJsKCNjbGlwMCkiIHRyYW5zZm9ybT0idHJhbnNsYXRlKC0yMzUgLTUxKSI+PHBhdGggZD0iTTI2My41MDYgNTFDMjY0LjcxNyA1MSAyNjUuODEzIDUxLjQ4MzcgMjY2LjYwNiA1Mi4yNjU4TDI2Ny4wNTIgNTIuNzk4NyAyNjcuNTM5IDUzLjYyODMgMjkwLjE4NSA5Mi4xODMxIDI5MC41NDUgOTIuNzk1IDI5MC42NTYgOTIuOTk2QzI5MC44NzcgOTMuNTEzIDI5MSA5NC4wODE1IDI5MSA5NC42NzgyIDI5MSA5Ny4wNjUxIDI4OS4wMzggOTkgMjg2LjYxNyA5OUwyNDAuMzgzIDk5QzIzNy45NjMgOTkgMjM2IDk3LjA2NTEgMjM2IDk0LjY3ODIgMjM2IDk0LjM3OTkgMjM2LjAzMSA5NC4wODg2IDIzNi4wODkgOTMuODA3MkwyMzYuMzM4IDkzLjAxNjIgMjM2Ljg1OCA5Mi4xMzE0IDI1OS40NzMgNTMuNjI5NCAyNTkuOTYxIDUyLjc5ODUgMjYwLjQwNyA1Mi4yNjU4QzI2MS4yIDUxLjQ4MzcgMjYyLjI5NiA1MSAyNjMuNTA2IDUxWk0yNjMuNTg2IDY2LjAxODNDMjYwLjczNyA2Ni4wMTgzIDI1OS4zMTMgNjcuMTI0NSAyNTkuMzEzIDY5LjMzNyAyNTkuMzEzIDY5LjYxMDIgMjU5LjMzMiA2OS44NjA4IDI1OS4zNzEgNzAuMDg4N0wyNjEuNzk1IDg0LjAxNjEgMjY1LjM4IDg0LjAxNjEgMjY3LjgyMSA2OS43NDc1QzI2Ny44NiA2OS43MzA5IDI2Ny44NzkgNjkuNTg3NyAyNjcuODc5IDY5LjMxNzkgMjY3Ljg3OSA2Ny4xMTgyIDI2Ni40NDggNjYuMDE4MyAyNjMuNTg2IDY2LjAxODNaTTI2My41NzYgODYuMDU0N0MyNjEuMDQ5IDg2LjA1NDcgMjU5Ljc4NiA4Ny4zMDA1IDI1OS43ODYgODkuNzkyMSAyNTkuNzg2IDkyLjI4MzcgMjYxLjA0OSA5My41Mjk1IDI2My41NzYgOTMuNTI5NSAyNjYuMTE2IDkzLjUyOTUgMjY3LjM4NyA5Mi4yODM3IDI2Ny4zODcgODkuNzkyMSAyNjcuMzg3IDg3LjMwMDUgMjY2LjExNiA4Ni4wNTQ3IDI2My41NzYgODYuMDU0N1oiIGZpbGw9IiNGRkU1MDAiIGZpbGwtcnVsZT0iZXZlbm9kZCIvPjwvZz48L3N2Zz4=) no-repeat 1rem/1.8rem, #b32121;
    padding: 1rem 1rem 1rem 3.7rem;
    color: white;
}
.blazor-error-boundary::after {
    content: "An error has occurred."
}

.rz-datatable .rz-datatable-data::-webkit-scrollbar-thumb {
    background-color: #ff7a00 !important;
}

[class^=rz-] img,
[class^=rz-] svg,
.rz-label,
i.rzi {
    caret-color: transparent !important;
}

@media (max-width: 768px) {
    .rz-layout,
    .rz-layout .rz-body,
    .rz-layout .rz-header,
    .rz-layout .rz-footer {
        width: 100% !important;
        max-width: 100% !important;
        overflow-x: hidden;
    }
}

.rz-chip.rz-chip-selected {
    outline: var(--rz-outline-width) solid var(--rz-primary);
}

.mn-loading-overlay {
    position: fixed;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    background: rgba(0, 0, 0, 0.4);
    backdrop-filter: blur(2px);
    display: flex;
    align-items: center;
    justify-content: center;
    z-index: 9999;
}
.mn-main-layout {
    background-color: transparent !important;
}
.mn-main-layout:has(> .mn-sidebar-root .icons.mobile) > .mn-body {
    padding-left: var(--rz-layout-body-padding) !important;
}

.mn-header {
    background-color: white !important;
}
.mn-header .header-items {
    display: flex;
    align-items: center;
    width: 100%;
    height: 100%;
}
.mn-header .header-items .right {
    margin-left: auto;
    margin-right: 10px;
}

.mn-sidebar-root {
    position: absolute;
    left: 0;
    top: 0;
    display: flex;
    z-index: 1000;
}
.mn-sidebar-root .icons {
    display: flex;
    flex-direction: column;
    align-items: center;
    height: 100vh;
}
.mn-sidebar-root .icons .logo {
    background-color: white !important;
    padding: 2px;
    height: var(--mn-header-sidebar-size);
    cursor: default;
    display: flex;
    justify-content: center;
    width: var(--mn-header-sidebar-size);
}
.mn-sidebar-root .icons.mobile .logo {
    cursor: pointer;
}
.mn-sidebar-root.expanded .icons .logo {
    position: absolute;
    left: 0;
    width: calc(var(--mn-header-sidebar-size) + var(--mn-sidebar-panel-size));
}
.mn-sidebar-root .icons .items {
    background-color: var(--mn-gray-color);
    width: var(--mn-header-sidebar-size);
    height: calc(100vh - var(--mn-header-sidebar-size));
    display: flex;
    flex-direction: column;
    left: 0;
}
.mn-sidebar-root .icons .items .top {
}
.mn-sidebar-root .icons .items .bottom {
    margin-top: auto;
}
.mn-sidebar-root .icons .items .item {
    padding: 13px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    cursor: pointer;
    transition: .2s;
    font-size: 24px !important;
    color: white;
    width: 100%;
}
.mn-sidebar-root .icons .items .item.bottom {
    background-color: green;
}
.mn-sidebar-root .icons .items .item.selected {
    background: var(--mn-gray-dark-color);
}
.mn-sidebar-root .icons .items .item:hover {
    background-color: var(--mn-gray-dark-color);
    color: var(--mn-orange-color);
}
.mn-sidebar-root.expanded .icons .items {
    position: absolute;
    top: var(--mn-header-sidebar-size);
}
.mn-sidebar-root .panel {
    width: var(--mn-sidebar-panel-size);
    background-color: var(--mn-gray-dark-color);
    max-width: 80vw;
    position: relative;
    overflow: hidden;
    top: var(--mn-header-sidebar-size);
    height: calc(100vh - var(--mn-header-sidebar-size));
    left: var(--mn-header-sidebar-size);
}
.mn-sidebar-root .panel .title {
    color: white;
    padding: 15px 0;
    display: flex;
    justify-content: center;
    align-items: center;
    font-size: 20px;
    gap: 5px;
}
.mn-sidebar-root .panel .title .icon {
    color: white;
    font-size: 24px;
}

.mn-sidebar-root .panel .title .text {
    color: white;
}
.mn-sidebar-root .panel .level {
    position: absolute;
    width: 100%;
    height: 100%;
}
.mn-sidebar-root .panel .level .back-item,
.mn-sidebar-root .panel .level .menu-item {
    display: flex;
    color: white;
    height: 40px;
}
.mn-sidebar-root .panel .level .back-item:hover,
.mn-sidebar-root .panel .level .menu-item:hover {
    background-color: var(--mn-gray-light-color);
}
.mn-sidebar-root .panel .level .back-item .arrow {
    height: 100%;
    margin-left: 5px;
    cursor: pointer;
}
.mn-sidebar-root .panel .level .back-item .text {
    display: flex;
    justify-content: center;
    align-items: center;
    color: white;
    width: 100%;
    cursor: pointer;
}
.mn-sidebar-root .panel .level .menu-item .text {
    width: 100%;
    cursor: pointer;
    margin-left: 10px;
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    line-height: 40px;
}
.mn-sidebar-root .panel .level .menu-item .icon-right {
    height: 100%;
    margin-right: 10px;
    cursor: pointer;
}

.mn-body {
    padding-left: calc(var(--rz-layout-body-padding) + var(--mn-header-sidebar-size)) !important;
}

.mn-login-container {
    width: 100vw;
    height: 100vh;
    display: flex;
    justify-content: center;
    align-items: center;
}
.mn-login-container .box {
    position: relative;
    width: 350px;
    background: white;
    padding: 45px 35px;
    border-radius: 25px;
    box-shadow: 0 0 8px 8px rgba(0, 0, 0, 0.06);
    z-index: 2;
}
.mn-login-container .box .logo {
    text-align: center;
    margin-bottom: 10px;
}
.mn-login-container .box .logo > img {
    object-fit: contain;
    max-width: 100%;
    max-height: 100%;
}
.mn-login-container .box .options {
    display: flex;
    justify-content: space-between;
    align-items: center;
}

.mn-grid-header {
    display: flex;
    align-items: center;
    width: 100%;
    color: white;
}
.mn-grid-header .text {
    margin: 0 !important;
    color: white;
}
.rz-custom-header:has(> .mn-grid-header) {
    width: 100%;
}
.mn-grid-header .button {
    display: flex;
    margin-left: auto;
    gap: 8px;
    cursor: pointer;
}
.mn-grid-column-header-center .rz-column-title {
    justify-content: center !important;
}
.mn-grid-empty {
    color: lightgrey;
    font-size: 18px;
    text-align: center;
    margin: 1rem;
}
.mn-grid-hidden-group-header > .rz-group-header {
    display: none !important;
}
.mn-grid-hidden-group-item .rz-group-header-items {
    display: none !important;
}
.mn-grid-hidden-group-item .rz-group-header-drop {
    display: none !important;
}

.mn-list-dashboard-card {
    padding: 10px !important;
    margin: 10px !important;
    border-radius: 6px;
    text-align: center;
    cursor: pointer;
}
.mn-list-dashboard-card .icon {
    width: 120px;
    height: 120px;
    transition: transform 0.3s ease;
}
.mn-list-dashboard-card .icon:hover {
    transform: scale(1.3) translateY(-12px);
}

.mn-dashboard-layout {
    position: relative;
    border: 1px solid #e0e0e0;
    border-radius: 6px;
    box-shadow: 0 2px 6px rgba(0, 0, 0, 0.08);
    height: calc(100% - 0.2rem) !important;
}
.mn-dashboard-layout .header {
    background-color: var(--mn-gray-color) !important;
    color: white !important;
}
.mn-dashboard-layout .header .title {
    width: 100%;
    text-align: center;
    color: white !important;
}
.mn-dashboard-layout .header .logo {
    background-color: white;
    width: 105px;
    height: 50px;
    padding: 3px;
}
.mn-dashboard-layout .header .rz-sidebar-toggle {
    background-color: var(--mn-gray-color) !important;
    color: white !important;
    border-style: none;
}
.mn-dashboard-layout .header .rz-sidebar-toggle:hover {
    color: var(--mn-orange-color) !important;
}
.mn-dashboard-layout .sidebar {
    background: var(--mn-gray-dark-color) !important;
    border-inline-start: none !important;
}
.mn-dashboard-grid {
    border-radius: 4px 4px 0 0 !important;
}
.mn-dashboard-grid > .rz-group-header {
    background-color: #282828 !important;
}

.rz-tabview-nav {
    background-color: var(--rz-tabs-tab-background-color);
    border-radius: var(--rz-card-border-radius) var(--rz-card-border-radius) 0 0;
    padding: 0 0.5rem !important;
}

.rz-tabview-top > .rz-tabview-nav > li {
    z-index: 1;
    border-radius: 0 !important;
    border-inline-start: none;
    border-inline-end: none;
    border-block-end: none;
    transition: none;
    overflow: hidden;
}

.mn-edit-query {
    width: 100%;
    resize: none !important;
    font-family: "Courier New", Courier, monospace !important;
    font-weight: bold;
    white-space: nowrap;
}

.rz-fileupload-content {
    display: none !important;
}

.mn-sobre .logo > img {
    object-fit: contain;
    max-width: 100%;
    max-height: 100%;
}
.mn-sobre .card {
    padding: 10px !important;
}
.mn-sobre .card > h4,
.mn-sobre .card > p {
    margin: 0 !important;
}
.mn-sobre .footer {
    text-align: center;
    opacity: 0.7;
}
.mn-sobre .footer > p {
    margin: 0 !important;
}

.mn-overlay {
    position: fixed;
    inset: 0;
    background: rgba(0,0,0,0.4);
    z-index: 2;
}

.mn-dash-body-container {
    position: relative;
    height: 100%;
}
.mn-dash-body-content {
    height: 100%;
}
.mn-dash-sidebar {
    position: absolute;
    top: 0;
    right: 0;
    width: 300px;
    background-color: var(--mn-gray-dark-color);
    color: white;
    z-index: 5;
    border-left: 1px solid #ddd;
    overflow-y: auto;
}

.mn-fit-logo {
    object-fit: contain;
    max-width: 100%;
    max-height: 100%;
}